# Class JmolAdapterStructureIterator

java.lang.Object
org.jmol.api.JmolAdapterStructureIterator

Direct Known Subclasses:
  `StructureIterator`

public abstract class JmolAdapterStructureIterator extends Object

## Constructor Summary

Constructors
Constructor
Description
`JmolAdapterStructureIterator()`

## Method Summary

Modifier and Type
Method
Description
`abstract int[]`
`getAtomIndices()`
`abstract BS[]`
`getBSAll()`
`abstract int`
`getEndChainID()`
`abstract char`
`getEndInsertionCode()`
`abstract int`
`getEndSequenceNumber()`
`abstract int[]`
`getModelIndices()`
`abstract int`
`getStartChainID()`
`abstract char`
`getStartInsertionCode()`
`abstract int`
`getStartSequenceNumber()`
`abstract int`
`getStrandCount()`
`abstract String`
`getStrandID()`
`abstract BS`
`getStructuredModels()`
`abstract String`
`getStructureID()`
`abstract STR`
`getStructureType()`
`abstract STR`
`getSubstructureType()`
`abstract boolean`
`hasNext()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JmolAdapterStructureIterator

public JmolAdapterStructureIterator()

## Method Details

### hasNext

public abstract boolean hasNext()

### getStructureType

public abstract STR getStructureType()

### getSubstructureType

public abstract STR getSubstructureType()

### getStructureID

public abstract String getStructureID()

### getStrandID

public abstract String getStrandID()

### getStrandCount

public abstract int getStrandCount()

### getStartChainID

public abstract int getStartChainID()

### getStartSequenceNumber

public abstract int getStartSequenceNumber()

### getStartInsertionCode

public abstract char getStartInsertionCode()

### getEndChainID

public abstract int getEndChainID()

### getEndSequenceNumber

public abstract int getEndSequenceNumber()

### getEndInsertionCode

public abstract char getEndInsertionCode()

### getStructuredModels

public abstract BS getStructuredModels()

### getAtomIndices

public abstract int[] getAtomIndices()

### getModelIndices

public abstract int[] getModelIndices()

### getBSAll

public abstract BS[] getBSAll()